# Obtain the exit rules of the Nat gateway (SNAT rules) - DescribeSnatRule

## Overview

Obtain the exit rules of the Nat gateway (SNAT rules)






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeSnatRule`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **NATGWId** | string | The ID of the NAT Gateway |**Yes**|
| **SourceIp** | string | Private IP address needed for external network access, for example, 10.9.7.xx |No|
| **SnatIp** | string | The IP address of EIP, for example, 106.75.xx.xx |No|
| **Offset** | string | Offset, default is 0 |No|
| **Limit** | string | Pagination, default is 20 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*NATGWSnatRule*](#natgwsnatrule)] | All Snat rules of a certain NAT gateway |**Yes**|
| **TotalCount** | int | Number of Rules |**Yes**|

#### Data Model


#### NATGWSnatRule

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **SnatIp** | string | EIP address, such as 106.76.xx.xx |**Yes**|
| **SourceIp** | string | Intranet IP address of the resource |**Yes**|
| **SubnetworkId** | string | Subnet ID to which SourceIp belongs |**Yes**|
| **Name** | string | snat rule name |**Yes**|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeSnatRule
&NATGWId=UNWjzcHH
&Offset=koYtmbPl
&Limit=qTqZzcEW
```

### Response Example
    
```json
{
  "Action": "DescribeSnatRuleResponse",
  "DataSet": [
    "VBENwtTq",
    "eJdgDwrm",
    "cttWRRWX",
    "LzamjxPo",
    "pXeuRpBP",
    "PKcCIcqJ"
  ],
  "RetCode": 0,
  "TotalCount": "ckUpWqAA"
}
```





